Loading...
Searching...
No Matches
Ogre::RTShader::FunctionInvocation::FunctionInvocationCompare Struct Reference

Comparator function to be used for comparisons. More...

`#include <OgreShaderFunctionAtom.h>`

## Public Member Functions

bool | operator() (FunctionInvocation const &lhs, FunctionInvocation const &rhs) const

## Detailed Description

Comparator function to be used for comparisons.

Implemented as a struct to make it easier for the compiler to inline

## Member Function Documentation

## operator()()

bool Ogre::RTShader::FunctionInvocation::FunctionInvocationCompare::operator() | ( | FunctionInvocation const & | lhs,
|  | FunctionInvocation const & | rhs ) const

References Ogre::RTShader::FunctionInvocation::FunctionInvocation().

The documentation for this struct was generated from the following file:

- OgreShaderFunctionAtom.h